/***************************************************************************
 *  Demonstrates the use of Web Macros within the CGI interface using a REXX program.
 **************************************************************************/

env  = "OS2ENVIRONMENT"

Say "Content-type: text/x-server-parsed-html"
Say

Say "<h1>CGI/1.1 using Web Macros Demonstration:</h1>"

Say "<ul>"

/* Echo the Standard Set of CGI Variables */

Say "<li>Remote Host = <!--#echo var=Connection:/RemoteHost -->"
Say "<li>Remote IP Address = <!--#echo var=Connection:/RemoteAddress -->"
Say "<li>Remote User Name = <!--#echo var=Request:/AuthenticateUser -->"
Say "<li>Request Protocol = <!--#echo var=Request:/Protocol -->"
Say "<li>Request Method = <!--#echo var=Request:/Method -->"
Say "<li>Request = <!--#echo var=Request:/Request -->"

len = value("CONTENT_LENGTH",,env)
Say "<li>CONTENT_LENGTH = "    || len   

/* If POST method was used to pass parameters, get them and echo them */

method = value("REQUEST_METHOD",,env)
If (method == "POST") & (len \= "") Then Do
  post_string = LineIn() 
  Say
  Say "CGI Script Parameters = " || post_string
End

Say "</ul>"

